package args

import "github.com/riverqueue/river"

type MediaProcessArgs struct {
	AssetID int64 `json:"asset_id"`
}

func (MediaProcessArgs) Kind() string {
	return "media_process"
}

func (MediaProcessArgs) InsertOpts() river.InsertOpts {
	return river.InsertOpts{}
}

func (MediaProcessArgs) UniqueID() string {
	return "media_process"
}
